package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Agama
 * 
 * @author Generator
 */

public class DetailRiwayatObstetriVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "papObstetriFk")
	@Caption(value="Obstetri")
	//@JsonBackReference
	@NotNull(message="Obstetri Harus Diisi")
	private PapObstetriVO papObstetri;

	@Column(name = "papObstetriFk", insertable=false,updatable=false,nullable=false)
	private String papObstetriId;
	
	@Column(name = "Name", nullable = true, length = 100)
	@Caption(value = "Temat Bersalin /  Penolong")
	private String tepatBersalinPenolong;
	
	@Column(name = "noRec", nullable = true, length = 100)
	@Caption(value = "noRec")
	private String noRec;
	
	@Column(name = "taahun", nullable = true, length = 100)
	@Caption(value = "tahun")
	private String tahun;
	
	@Column(name = "kehamilan", nullable = true, length = 100)
	@Caption(value = "kehailan")
	private String kehamilan;
	
	@Column(name = "jenisPersalinan", nullable = true, length = 100)
	@Caption(value = "jenisPersalinan")
	private String jenisPersalinan;
	
	@Column(name = "penyulit", nullable = true, length = 100)
	@Caption(value = "penyulit")
	private String penyulit;
	
	@Column(name = "nifas", nullable = true, length = 100)
	@Caption(value = "nifas")
	private String nifas;
	
	@Column(name = "anakSex", nullable = true, length = 100)
	@Caption(value = "anak")
	private String anakSex;
	
	@Column(name = "anakBeratBadan", nullable = true, length = 100)
	@Caption(value = "Berat Badan")
	private String anakBeratBadan;
	
	@Column(name = "anakKeadaan", nullable = true, length = 100)
	@Caption(value = "Keadaan")
	private String anakKeadaan;

	public PapObstetriVO getPapObstetri() {
		return papObstetri;
	}

	public void setPapObstetri(PapObstetriVO papObstetri) {
		this.papObstetri = papObstetri;
	}

	public String getPapObstetriId() {
		return papObstetriId;
	}

	public void setPapObstetriId(String papObstetriId) {
		this.papObstetriId = papObstetriId;
	}

	public String getTepatBersalinPenolong() {
		return tepatBersalinPenolong;
	}

	public void setTepatBersalinPenolong(String tepatBersalinPenolong) {
		this.tepatBersalinPenolong = tepatBersalinPenolong;
	}

	public String getNoRec() {
		return noRec;
	}

	public void setNoRec(String noRec) {
		this.noRec = noRec;
	}

	public String getTahun() {
		return tahun;
	}

	public void setTahun(String tahun) {
		this.tahun = tahun;
	}

	public String getKehamilan() {
		return kehamilan;
	}

	public void setKehamilan(String kehamilan) {
		this.kehamilan = kehamilan;
	}

	public String getJenisPersalinan() {
		return jenisPersalinan;
	}

	public void setJenisPersalinan(String jenisPersalinan) {
		this.jenisPersalinan = jenisPersalinan;
	}

	public String getPenyulit() {
		return penyulit;
	}

	public void setPenyulit(String penyulit) {
		this.penyulit = penyulit;
	}

	public String getNifas() {
		return nifas;
	}

	public void setNifas(String nifas) {
		this.nifas = nifas;
	}

	public String getAnakSex() {
		return anakSex;
	}

	public void setAnakSex(String anakSex) {
		this.anakSex = anakSex;
	}

	public String getAnakBeratBadan() {
		return anakBeratBadan;
	}

	public void setAnakBeratBadan(String anakBeratBadan) {
		this.anakBeratBadan = anakBeratBadan;
	}

	public String getAnakKeadaan() {
		return anakKeadaan;
	}

	public void setAnakKeadaan(String anakKeadaan) {
		this.anakKeadaan = anakKeadaan;
	}

	

}

